Skip to main content
`Ctrl`+`K`

# TSDIRKGetType

Get the type of `TSDIRK` scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSDIRKGetType(TS ts, TSDIRKType *dirktype)

Logically Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- dirktype - type of `TSDIRK` scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSDIRKSetType()`

## Level

intermediate

## Location

src/ts/impls/arkimex/arkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages